Create or update agent configuration
https://{kibana_url}
- PUT /api/apm/settings/agent-configuration
Create or update an agent configuration. You must have all privileges for the APM and User Experience feature in Kibana. When updating an existing configuration, the ?overwrite=true query parameter is required. If the configuration already exists and overwrite is not set to true, the API returns a 400 error. When successful and Fleet is enabled, APM package policies are synchronized accordingly.
Query Parameters
-
overwriteboolean If the config exists ?overwrite=true is required
Request
-
agent_namestring -
The agent name is used by the UI to determine which settings to display.
-
servicerequired -
Service
-
environmentstring -
The environment of the service.
-
namestring -
The name of the service.
-
settingsobjectrequired -
Agent configuration settings
Responses
Successful response
Response Type: object
Bad Request response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Unauthorized response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Forbidden response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Not found response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code